Bug 79543 (OOXML-Picture-Styles) - Picture effect styles incorrectly in LibreOffice
Summary: Picture effect styles incorrectly in LibreOffice
Status: NEW
Alias: OOXML-Picture-Styles
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MSO-Formats
  Show dependency treegraph
 
Reported: 2014-06-02 11:34 UTC by Daniel
Modified: 2017-05-03 10:30 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Open in Office 2007... (430.72 KB, patch)
2014-06-02 11:34 UTC, Daniel
Details
Open in Office 2007... (430.72 KB, image/png)
2014-06-02 11:36 UTC, Daniel
Details
After open in LibreOffice... (344.54 KB, image/png)
2014-06-02 11:39 UTC, Daniel
Details
Sample picture.pptx (181.18 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-06-02 11:41 UTC, Daniel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2014-06-02 11:34:27 UTC
Created attachment 100292 [details]
Open in Office 2007...

When I have create document such example .pptx and save and open it both in Office 2007 and worked correctly, than LibreOffice worked incorrectly and weird if you compare both office suite. Can you fix this picture effect styles?
Comment 1 Daniel 2014-06-02 11:36:36 UTC
Created attachment 100294 [details]
Open in Office 2007...

Please compare both office suite.
Comment 2 Daniel 2014-06-02 11:39:43 UTC
Created attachment 100295 [details]
After open in LibreOffice...

Please compare both office suite.
Comment 3 Daniel 2014-06-02 11:41:20 UTC
Created attachment 100296 [details]
Sample picture.pptx
Comment 4 Julien Nabet 2014-06-02 19:18:03 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

I noticed these console logs:
warn:oox:8986:1:oox/source/drawingml/shapecontext.cxx:128: ShapeContext::onCreateContext: unhandled element: 3943
warn:oox:8986:1:oox/source/drawingml/shapecontext.cxx:128: ShapeContext::onCreateContext: unhandled element: 3617
Comment 5 QA Administrators 2015-07-18 17:42:33 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2015-10-16 19:04:21 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 186f32f63434e16ff5776251657f902d5808ed3d
TinderBox: Win-x86@39, Branch:master, Time: 2015-10-16_09:42:47
Locale: en-US (fi_FI)
Comment 7 QA Administrators 2016-11-08 11:02:10 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108